posted by boldingd on Tue 29th Jan 2013 23:12 UTC
IconIt seems to have so far escaped OSNews' notice (if the top few hits for a site-search for 'Steam' is any indication) that Steam for Linux is now in Open Beta; you can get the Linux steam client from steampowered.com. So far, they appear to only be making an Ubuntu .deb available, and the client will require closed-source GPU drivers in order to work.

It bears repeating that the limited distribution availability fits with Valve's primary objective in porting Steam to linux - enabling an Ubuntu-Linux-based Steambox. It remains to be seen if Valve will provide packages for other distributions, but I won't be shocked if they don't - or if they do as Dropbox, Skype and Google have done, and provide packages only for the latest Ubuntu and Fedora distributions. So users of slightly more obscure distributions (I'm using Mint/Debian here at school) are S.O.L., and can probably expect to be so for a while.

In the grand OSNews tradition, now that I've said a few words about what is ostensibly the topic, I'd like to take a moment to prance, preen and provoke.

As of right now, getting actual games to work will require installing the proprietary drivers for your platform. There are several possible reasons that this could be the case, among them that the proprietary drivers are known to offer slightly higher 3D performance. However, I strongly suspect that there is one major reason for the requirement; on most platforms, the closed-source drivers will provide a GL3+ context, while the open-source drivers still provide a GL2.1 context.

This should be an embarrassment for all parties concerned; we (by which I mean, the community of Linux users, developers and enthusiasts; I am not a developer or distributor) are still shipping on modern systems a graphics API that is now six years old, and that was superseded four years ago. I had to check Wikipedia for my chronology; GL2.1 was 2006, and 3.0 was 2008. GL4.3 is the current standard. And yet, on the shiney, new Fedora 18 install I set up a few days ago, I get GL2.1, in spite of my somewhat-recent Radeon 6650.

This in particular points up Gallium's failure to live up to its promise. The entire point, as far as I understood it, of moving to Gallium was to avoid replicating the OpenGL interface layer across all drivers needlessly; the idea was that, once there was an OpenGL3 state tracker, all Gallium drivers would be able to use it, and we'd all get OpenGL3 cheaply. That clearly has not happened.

e p (5)    74 Comment(s)

Technology White Papers

See More